Skip to main content
GET
List Google Chat spaces, group chats and direct messages

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Query Parameters

spaceType
enum<string>
Available options:
SPACE,
GROUP_CHAT,
DIRECT_MESSAGE
pageSize
integer
default:25
Required range: 1 <= x <= 100
pageToken
string

nextPageToken from the previous page of the same request.

Required string length: 1 - 2048

Response

Google's validated response.

spaces
object[]
nextPageToken
string